Bug 239034 - [NEW PORT] www/py-django-bakery: Set of helpers for baking your Django site out as flat files
Summary: [NEW PORT] www/py-django-bakery: Set of helpers for baking your Django site o...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-07-07 18:08 UTC by Alexander Sieg
Modified: 2019-09-06 11:19 UTC (History)
1 user (show)

See Also:


Attachments
patch (1.63 KB, patch)
2019-07-07 18:08 UTC, Alexander Sieg
no flags Details | Diff
patch (1.62 KB, patch)
2019-07-07 18:20 UTC, Alexander Sieg
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Sieg 2019-07-07 18:08:09 UTC
Features:
- Models, views and management commands that will build your site as flat
  files.
- Management commands to sync your flat files with a bucket on Amazon S3.
- Optional integration of a Celery job queue to automatically build and publish
  model objects when they are saved

WWW: https://github.com/datadesk/django-bakery/
Comment 1 Alexander Sieg 2019-07-07 18:08:15 UTC
Created attachment 205566 [details]
patch

adding patch file
Comment 2 Alexander Sieg 2019-07-07 18:20:03 UTC
Created attachment 205567 [details]
patch
Comment 3 Kai Knoblich freebsd_committer 2019-07-09 07:18:29 UTC
Hi Alexander,

thank you for your contribution. I have only two questions before I'm going to commit the port:

- Is there a special reason for using Github instead PyPI (aka CHEESESHOP, the preferred way for Python ports)?

- www/py-django-bakery is already available in a newer version (= 0.12.7). Why not switch to that release?

If you have no objections I'll apply those small changes for you and you don't need to upload an updated patch.
Comment 4 Alexander Sieg 2019-07-09 08:56:01 UTC
Sure apply these changes. Thanks
Comment 5 commit-hook freebsd_committer 2019-09-06 11:16:05 UTC
A commit references this bug:

Author: kai
Date: Fri Sep  6 11:15:05 UTC 2019
New revision: 511303
URL: https://svnweb.freebsd.org/changeset/ports/511303

Log:
  [NEW PORT]: www/py-django-bakery

  Provides a set of helper for baking your Django site out as flat files.

  Features:

  - Models, views and management commands that will build your site as flat
    files.
  - Management commands to sync your flat files with a bucket on Amazon S3.
  - Optional integration of a Celery job queue to automatically build and publish
    model objects when they are saved

  WWW: https://github.com/datadesk/django-bakery/

  PR:		239034
  Submitted by:	Alexander Sieg <alex@xanderio.de>

Changes:
  head/www/Makefile
  head/www/py-django-bakery/
  head/www/py-django-bakery/Makefile
  head/www/py-django-bakery/distinfo
  head/www/py-django-bakery/pkg-descr
Comment 6 Kai Knoblich freebsd_committer 2019-09-06 11:19:09 UTC
Committed, thank you for your contribution and sorry for the delay!